Subject: Re: [CFRG] New Version Notification for draft-mattsson-cfrg-det-sigs-with-noise-03.txt

From: John Mattsson <[email-masked]>
Date: Thu, 3 Feb 2022 15:23:40 +0000

Hi,

As draft-mattsson-cfrg-det-sigs-with-noise and the problem with purely deterministic and purely random signatures was discussed quite a lot on the list recently I uploaded draft-mattsson-cfrg-det-sigs-with-noise-03 just to make the draft active. The only update in the draft are some new references that was mentioned on the list (Cao20, Comments-186-5, Bernstein19) as well as some references to alternative implementations (Kampanakis16, Langley13, Bernstein14).

As it is still unclear what CFRG wants to do with the draft, I have not spent time on trying to address all of the comments on -02.

Cheers,
John

From: [email-masked] <[email-masked]>
Date: Thursday, 3 February 2022 at 16:21
To: John Mattsson <[email-masked]>, Erik Thormarker <[email-masked]>, John Mattsson <[email-masked]>, Sini Ruohomaa <[email-masked]>
Subject: New Version Notification for draft-mattsson-cfrg-det-sigs-with-noise-03.txt

A new version of I-D, draft-mattsson-cfrg-det-sigs-with-noise-03.txt
has been successfully submitted by John Preuß Mattsson and posted to the
IETF repository.

Name:           draft-mattsson-cfrg-det-sigs-with-noise
Revision:       03
Title:          Deterministic ECDSA and EdDSA Signatures with Additional Randomness
Document date:  2022-02-03
Group:          cfrg
Pages:          14
URL:            https://www.ietf.org/archive/id/draft-mattsson-cfrg-det-sigs-with-noise-03.txt
Status:         https://datatracker.ietf.org/doc/draft-mattsson-cfrg-det-sigs-with-noise/
Html:           https://www.ietf.org/archive/id/draft-mattsson-cfrg-det-sigs-with-noise-03.html
Htmlized:       https://datatracker.ietf.org/doc/html/draft-mattsson-cfrg-det-sigs-with-noise
Diff:           https://www.ietf.org/rfcdiff?url2=draft-mattsson-cfrg-det-sigs-with-noise-03

Abstract:
   Deterministic elliptic-curve signatures such as deterministic ECDSA
   and EdDSA have gained popularity over randomized ECDSA as their
   security do not depend on a source of high-quality randomness.
   Recent research has however found that implementations of these
   signature algorithms may be vulnerable to certain side-channel and
   fault injection attacks due to their determinism.  One countermeasure
   to such attacks is to re-add randomness to the otherwise
   deterministic calculation of the per-message secret number.  This
   document updates RFC 6979 and RFC 8032 to recommend constructions
   with additional randomness for deployments where side-channel attacks
   and fault injection attacks are a concern.

The IETF Secretariat